import React from "react";
import { ICatalogAttributeHierarchy, ObjRef } from "@gooddata/sdk-model";
/**
 * @internal
 */
export interface IAttributeHierarchyDialogProps {
    initialAttributeRef?: ObjRef;
    editingAttributeHierarchy?: ICatalogAttributeHierarchy;
    onClose?: () => void;
    onSaveOrUpdateSuccess?: (attributeHierarchy: ICatalogAttributeHierarchy) => void;
    onDeleteSuccess?: () => void;
    onAddAttributeClicked?: () => void;
    onCreateHierarchyClicked?: () => void;
}
/**
 * @internal
 */
export declare const AttributeHierarchyDialog: React.FC<IAttributeHierarchyDialogProps>;
//# sourceMappingURL=AttributeHierarchyDialog.d.ts.map