import { ICatalogAttributeHierarchy, ObjRef } from "@gooddata/sdk-model";
export type EmptyParamCallback = () => void;
export type SaveOrUpdateCallback = (attributeHierarchy: ICatalogAttributeHierarchy) => void;
export type SetLoadingCallback = (isLoading: boolean) => void;
export declare enum CatalogAttributeDataType {
    ATTRIBUTE = "attribute",
    DATE_ATTRIBUTE = "dateAttribute"
}
export interface ICatalogAttributeData {
    type?: CatalogAttributeDataType;
    ref?: ObjRef;
    title?: string;
    icon?: string;
}
export interface IAttributeData extends ICatalogAttributeData {
    completed?: boolean;
}
//# sourceMappingURL=types.d.ts.map