import { ICatalogAttributeHierarchy } from "@gooddata/sdk-model";
import { EmptyParamCallback, IAttributeData, ICatalogAttributeData, SaveOrUpdateCallback, SetLoadingCallback } from "./types.js";
interface IUseBackendProvideDataProps {
    title: string;
    attributes: IAttributeData[];
    editingAttributeHierarchy: ICatalogAttributeHierarchy;
    setLoading: SetLoadingCallback;
    onSaveOrUpdateSuccess?: SaveOrUpdateCallback;
    onDeleteSuccess?: EmptyParamCallback;
    onCreateHierarchyClicked?: () => void;
    onClose: EmptyParamCallback;
}
export declare const useBackendProvider: (params: IUseBackendProvideDataProps) => {
    catalogAttributesMap: Map<string, ICatalogAttributeData>;
    onSaveAttributeHierarchy: () => void;
    onDeleteAttributeHierarchy: () => void;
    getValidAttributes: (rowIndex: number) => Promise<ICatalogAttributeData[]>;
};
export {};
//# sourceMappingURL=useBackendProvider.d.ts.map