export interface IChartConfigurationSnippetBase {
    type: "header" | "item";
    id: string;
    name: string;
}
export interface IChartConfigurationHeaderSnippet extends IChartConfigurationSnippetBase {
    type: "header";
}
export interface IChartConfigurationItemSnippet extends IChartConfigurationSnippetBase {
    type: "item";
    value: Record<string, unknown>;
    description: string;
}
export type IChartConfigurationSnippet = IChartConfigurationHeaderSnippet | IChartConfigurationItemSnippet;
export declare const SNIPPETS: IChartConfigurationSnippet[];
//# sourceMappingURL=snippets.d.ts.map