// (C) 2023 GoodData Corporation
import React from "react";
import CheckboxControl from "../../CheckboxControl.js";
import { comparisonMessages } from "../../../../../locales.js";
import { COMPARISON_IS_ARROW_ENABLED_PATH } from "../ComparisonValuePath.js";
const ArrowControl = ({ disabled, showDisabledMessage, properties, pushData, }) => {
    const isArrowEnabled = properties?.controls?.comparison?.isArrowEnabled;
    return (React.createElement("div", { className: "comparison-arrow-control s-comparison-arrow-control" },
        React.createElement(CheckboxControl, { valuePath: COMPARISON_IS_ARROW_ENABLED_PATH, labelText: comparisonMessages.arrowControlTitle.id, properties: properties, checked: isArrowEnabled, disabled: disabled, showDisabledMessage: showDisabledMessage, pushData: pushData })));
};
export default ArrowControl;
//# sourceMappingURL=ArrowControl.js.map