// (C) 2021-2024 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import { messages } from "../locales.js";
export const DataSourceListEmpty = ({ mode, subjectType }) => {
    const intl = useIntl();
    return (React.createElement("div", { className: "gd-share-dialog-grantee-list-empty-selection s-user-management-empty-selection gd-user-management-dialog-list-empty" },
        React.createElement("span", null,
            mode === "VIEW" &&
                subjectType === "user" &&
                intl.formatMessage(messages.viewUserDataSourceListEmpty),
            mode === "VIEW" &&
                subjectType === "userGroup" &&
                intl.formatMessage(messages.viewUserGroupDataSourceListEmpty),
            mode === "EDIT" && intl.formatMessage(messages.editDataSourceListEmpty))));
};
//# sourceMappingURL=DataSourceListEmpty.js.map