import React from "react";
import { IGrantedDataSource, DataSourcePermissionSubject } from "../types.js";
interface IGranularPermissionsDropdownProps {
    dataSource: IGrantedDataSource;
    subjectType: DataSourcePermissionSubject;
    isDropdownDisabled?: boolean;
    isDropdownOpen: boolean;
    toggleDropdown: () => void;
    onChange: (dataSource: IGrantedDataSource) => void;
    onDelete: (dataSource: IGrantedDataSource) => void;
    className: string;
}
export declare const PermissionsDropdown: React.ForwardRefExoticComponent<IGranularPermissionsDropdownProps & import("@gooddata/sdk-ui-kit").IWithBubbleProps & React.RefAttributes<any>>;
export {};
//# sourceMappingURL=PermissionsDropdown.d.ts.map