// (C) 2023-2024 GoodData Corporation
import React from "react";
import { useTheme } from "@gooddata/sdk-ui-theme-provider";
import { Icon, withBubble } from "@gooddata/sdk-ui-kit";
const ColoredIcon = () => {
    const theme = useTheme();
    return React.createElement(Icon.QuestionMark, { color: theme?.palette?.complementary?.c7 ?? "#B0BECA" });
};
export const QuestionMarkIcon = withBubble(ColoredIcon);
//# sourceMappingURL=QuestionMarkIcon.js.map