import React from "react";
import { IGrantedDataSource, UserGroupEditDialogMode } from "./types.js";
import { IWithTelemetryProps } from "./TelemetryContext.js";
/**
 * @internal
 */
export interface IUserGroupEditDialogProps extends IWithTelemetryProps {
    userGroupId: string;
    organizationId: string;
    isAdmin: boolean;
    initialView?: UserGroupEditDialogMode;
    onSuccess: () => void;
    onClose: () => void;
    renderDataSourceIcon?: (dataSource: IGrantedDataSource) => JSX.Element;
    areFilterViewsEnabled?: boolean;
}
/**
 * @internal
 */
export declare const UserGroupEditDialog: React.FC<IUserGroupEditDialogProps>;
//# sourceMappingURL=UserGroupEditDialog.d.ts.map