import { IntlShape } from "react-intl";
import { IAnalyticalBackend } from "@gooddata/sdk-backend-spi";
import { IUserSelectOption, ISelectErrorOption } from "../../types.js";
export declare const loadUsersOptionsPromise: (backend: IAnalyticalBackend, organizationId: string, intl: IntlShape) => (search: string, _options: any, { page }: {
    page: number;
}) => Promise<{
    options: IUserSelectOption[] | ISelectErrorOption[];
    hasMore: boolean;
    additional: {
        page: number;
    };
}>;
//# sourceMappingURL=loadUsersOptionsPromise.d.ts.map