import React from "react";
import { IGrantedWorkspace, WorkspacePermissionSubject } from "../../types.js";
interface IGranularPermissionsDropdownProps {
    workspace: IGrantedWorkspace;
    subjectType: WorkspacePermissionSubject;
    isDropdownDisabled?: boolean;
    isDropdownOpen: boolean;
    toggleDropdown: () => void;
    onChange: (workspace: IGrantedWorkspace) => void;
    onDelete: (workspace: IGrantedWorkspace) => void;
    className: string;
    areFilterViewsEnabled: boolean;
}
export declare const PermissionsDropdown: React.ForwardRefExoticComponent<IGranularPermissionsDropdownProps & import("@gooddata/sdk-ui-kit").IWithBubbleProps & React.RefAttributes<any>>;
export {};
//# sourceMappingURL=PermissionsDropdown.d.ts.map