// (C) 2021 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import { messages } from "../locales.js";
export const WorkspaceListEmpty = ({ mode, subjectType }) => {
    const intl = useIntl();
    return (React.createElement("div", { className: "gd-share-dialog-grantee-list-empty-selection s-user-management-empty-selection gd-user-management-dialog-list-empty" },
        React.createElement("span", null,
            mode === "VIEW" &&
                subjectType === "user" &&
                intl.formatMessage(messages.viewUserWorkspaceListEmpty),
            mode === "VIEW" &&
                subjectType === "userGroup" &&
                intl.formatMessage(messages.viewUserGroupWorkspaceListEmpty),
            mode === "EDIT" && intl.formatMessage(messages.editWorkspaceListEmpty))));
};
//# sourceMappingURL=WorkspaceListEmpty.js.map