import { IGrantedWorkspace, WorkspacePermissionSubject, IGrantedDataSource } from "../types.js";
export declare const usePermissions: (id: string, subjectType: WorkspacePermissionSubject, organizationId: string, onSuccess: () => void) => {
    grantedWorkspaces: IGrantedWorkspace[];
    grantedDataSources: IGrantedDataSource[];
    onWorkspacesChanged: (workspaces: IGrantedWorkspace[]) => void;
    onDataSourcesChanged: (dataSources: IGrantedDataSource[]) => void;
    removeGrantedWorkspace: (removedWorkspace: IGrantedWorkspace) => void;
    removeGrantedDataSource: (removedDataSource: IGrantedDataSource) => void;
    updateGrantedWorkspace: (workspace: IGrantedWorkspace) => void;
    updateGrantedDataSource: (dataSource: IGrantedDataSource) => void;
};
//# sourceMappingURL=usePermissions.d.ts.map