export declare const userDialogTabsMessages: {
    workspaces: {
        id: string;
    };
    userGroups: {
        id: string;
    };
    details: {
        id: string;
    };
    dataSources: {
        id: string;
    };
};
export declare const userGroupDialogTabsMessages: {
    workspaces: {
        id: string;
    };
    users: {
        id: string;
    };
    details: {
        id: string;
    };
    dataSources: {
        id: string;
    };
};
export declare const messages: {
    createUserGroupDialogTitle: {
        id: string;
    };
    createUserGroupButton: {
        id: string;
    };
    cancelUserGroupButton: {
        id: string;
    };
    createUserGroupInputPlaceholder: {
        id: string;
    };
    userGroupDeleteSuccess: {
        id: string;
    };
    userGroupDeleteFailure: {
        id: string;
    };
    userGroupsDeleteSuccess: {
        id: string;
    };
    userGroupsDeleteFailure: {
        id: string;
    };
    userGroupCreatedSuccess: {
        id: string;
    };
    userGroupCreatedFailure: {
        id: string;
    };
    userLoadingErrorTitle: {
        id: string;
    };
    userLoadingErrorNotExist: {
        id: string;
    };
    userLoadingErrorUnknown: {
        id: string;
    };
    userGroupLoadingErrorTitle: {
        id: string;
    };
    userGroupLoadingErrorNotExist: {
        id: string;
    };
    userGroupLoadingErrorUnknown: {
        id: string;
    };
    userDeleteSuccess: {
        id: string;
    };
    userDeletedFailure: {
        id: string;
    };
    usersDeleteSuccess: {
        id: string;
    };
    usersDeletedFailure: {
        id: string;
    };
    workspaceAddedSuccess: {
        id: string;
    };
    workspaceAddedError: {
        id: string;
    };
    dataSourceAddedSuccess: {
        id: string;
    };
    dataSourceAddedError: {
        id: string;
    };
    workspacesAddedToUsersSuccess: {
        id: string;
    };
    workspacesAddedToUsersError: {
        id: string;
    };
    workspacesAddedToUserGroupsSuccess: {
        id: string;
    };
    workspacesAddedToUserGroupsError: {
        id: string;
    };
    workspaceRemovedSuccess: {
        id: string;
    };
    workspaceRemovedFailure: {
        id: string;
    };
    workspaceChangeSuccess: {
        id: string;
    };
    workspaceChangeFailure: {
        id: string;
    };
    userGroupAddedSuccess: {
        id: string;
    };
    userGroupAddedFailure: {
        id: string;
    };
    userGroupsAddedSuccess: {
        id: string;
    };
    userGroupsAddedFailure: {
        id: string;
    };
    userGroupRemovedSuccess: {
        id: string;
    };
    userGroupRemoveFailure: {
        id: string;
    };
    usersAddedSuccess: {
        id: string;
    };
    usersAddedFailure: {
        id: string;
    };
    usersAddedToUserGroupsSuccess: {
        id: string;
    };
    usersAddedToUserGroupsFailure: {
        id: string;
    };
    usersRemovedSuccess: {
        id: string;
    };
    usersRemovedFailure: {
        id: string;
    };
    userDetailsUpdatedSuccess: {
        id: string;
    };
    userDetailsUpdatedFailure: {
        id: string;
    };
    userGroupDetailsUpdatedSuccess: {
        id: string;
    };
    userGroupDetailsUpdatedFailure: {
        id: string;
    };
    addWorkspaceButton: {
        id: string;
    };
    addUserGroupButton: {
        id: string;
    };
    addUserButton: {
        id: string;
    };
    addDataSourcePermissionButton: {
        id: string;
    };
    editUserButton: {
        id: string;
    };
    editUserGroupButton: {
        id: string;
    };
    deleteUserLink: {
        id: string;
    };
    deleteUserGroupLink: {
        id: string;
    };
    deleteUserConfirmTitle: {
        id: string;
    };
    deleteUserConfirmBody: {
        id: string;
    };
    deleteUserDisabledTooltip: {
        id: string;
    };
    deleteUsersConfirmTitle: {
        id: string;
    };
    deleteUsersConfirmBody: {
        id: string;
    };
    deleteUserGroupConfirmTitle: {
        id: string;
    };
    deleteAdminUserGroupTooltip: {
        id: string;
    };
    deleteNonEmptyUserGroupTooltip: {
        id: string;
    };
    deleteUserGroupConfirmBody: {
        id: string;
    };
    deleteUserGroupsConfirmTitle: {
        id: string;
    };
    deleteUserGroupsConfirmBody: {
        id: string;
    };
    closeDialog: {
        id: string;
    };
    confirmDeleteButton: {
        id: string;
    };
    cancelDeleteButton: {
        id: string;
    };
    emptyDetailValue: {
        id: string;
    };
    closeEditMode: {
        id: string;
    };
    saveEditedDetails: {
        id: string;
    };
    userIsAdmin: {
        id: string;
    };
    userIsAdminTooltip: {
        id: string;
    };
    userIsRegularUser: {
        id: string;
    };
    userIsRegularUserTooltip: {
        id: string;
    };
    userFirstName: {
        id: string;
    };
    userLastName: {
        id: string;
    };
    userEmail: {
        id: string;
    };
    userId: {
        id: string;
    };
    userGroupName: {
        id: string;
    };
    userGroupId: {
        id: string;
    };
    userMembership: {
        id: string;
    };
    addUserGroupDialogTitle: {
        id: string;
    };
    addUserGroupDialogCloseButton: {
        id: string;
    };
    addUserGroupDialogSaveButton: {
        id: string;
    };
    searchUserGroupNoMatch: {
        id: string;
    };
    searchUserGroupPlaceholder: {
        id: string;
    };
    searchUserGroupError: {
        id: string;
    };
    addUserDialogTitle: {
        id: string;
    };
    addUserDialogCloseButton: {
        id: string;
    };
    addUserDialogSaveButton: {
        id: string;
    };
    searchUserNoMatch: {
        id: string;
    };
    searchUserPlaceholder: {
        id: string;
    };
    searchUserError: {
        id: string;
    };
    addWorkspaceDialogTitle: {
        id: string;
    };
    addWorkspaceDialogCloseButton: {
        id: string;
    };
    addWorkspaceDialogSaveButton: {
        id: string;
    };
    editWorkspaceDialogTitle: {
        id: string;
    };
    searchWorkspaceNoMatch: {
        id: string;
    };
    searchDataSourceNoMatch: {
        id: string;
    };
    searchWorkspacePlaceholder: {
        id: string;
    };
    viewUserWorkspaceListEmpty: {
        id: string;
    };
    viewUserGroupWorkspaceListEmpty: {
        id: string;
    };
    editWorkspaceListEmpty: {
        id: string;
    };
    viewUserListEmpty: {
        id: string;
    };
    editUserListEmpty: {
        id: string;
    };
    viewUserGroupListEmpty: {
        id: string;
    };
    editUserGroupListEmpty: {
        id: string;
    };
    viewUserDataSourceListEmpty: {
        id: string;
    };
    viewUserGroupDataSourceListEmpty: {
        id: string;
    };
    editDataSourceListEmpty: {
        id: string;
    };
    removeSavedUserTooltip: {
        id: string;
    };
    removeSavedUserDisabledTooltip: {
        id: string;
    };
    removeUnsavedUserTooltip: {
        id: string;
    };
    removeSavedUserGroupTooltip: {
        id: string;
    };
    removeSavedUserGroupDisabledTooltip: {
        id: string;
    };
    removeUnsavedUserGroupTooltip: {
        id: string;
    };
    adminAlert: {
        id: string;
    };
    adminGroupAlert: {
        id: string;
    };
    adminPill: {
        id: string;
    };
    dataSourcesAddedToUsersSuccess: {
        id: string;
    };
    dataSourcesAddedToUserGroupsSuccess: {
        id: string;
    };
    dataSourcesAddedToUsersError: {
        id: string;
    };
    dataSourcesAddedToUserGroupsError: {
        id: string;
    };
    dataSourceRemovedSuccess: {
        id: string;
    };
    dataSourceRemovedFailure: {
        id: string;
    };
    dataSourceChangeSuccess: {
        id: string;
    };
    dataSourceChangeFailure: {
        id: string;
    };
    addDataSourceDialogTitle: {
        id: string;
    };
    searchDataSourcePlaceholder: {
        id: string;
    };
};
//# sourceMappingURL=locales.d.ts.map