import { ChartType } from "@gooddata/sdk-ui";
export declare const AXIS: {
    PRIMARY: string;
    SECONDARY: string;
    DUAL: string;
};
export declare enum AXIS_NAME {
    X = "xaxis",
    Y = "yaxis",
    SECONDARY_X = "secondary_xaxis",
    SECONDARY_Y = "secondary_yaxis"
}
export declare const DUAL_AXES_SUPPORTED_CHARTS: ChartType[];
export declare const BASE_CHART_AXIS_CONFIG: {
    [AXIS.PRIMARY]: {
        name: AXIS_NAME;
        title: string;
        subtitle: string;
        primary: boolean;
    }[];
    [AXIS.SECONDARY]: {
        name: AXIS_NAME;
        title: string;
        subtitle: string;
        primary: boolean;
    }[];
    [AXIS.DUAL]: {
        name: AXIS_NAME;
        title: string;
        subtitle: string;
        primary: boolean;
    }[];
};
export declare const BAR_CHART_AXIS_CONFIG: {
    [AXIS.PRIMARY]: {
        primary: boolean;
        name: AXIS_NAME;
        title: string;
        subtitle: string;
    }[];
    [AXIS.SECONDARY]: {
        name: AXIS_NAME;
        primary: boolean;
        title: string;
        subtitle: string;
    }[];
    [AXIS.DUAL]: {
        primary: boolean;
        name: AXIS_NAME;
        title: string;
        subtitle: string;
    }[];
};
//# sourceMappingURL=axis.d.ts.map