import { AXIS } from "./axis.js";
import { HeadlineControlProperties } from "../interfaces/ControlProperties.js";
export declare const OPTIONAL_STACKING_PROPERTIES: string[];
export declare const BASE_CHART_SUPPORTED_PROPERTIES: string[];
export declare const AREA_CHART_SUPPORTED_PROPERTIES: string[];
export declare const COLUMN_CHART_SUPPORTED_PROPERTIES: {
    [AXIS.PRIMARY]: string[];
    [AXIS.SECONDARY]: string[];
    [AXIS.DUAL]: string[];
};
export declare const LINE_CHART_SUPPORTED_PROPERTIES: {
    [AXIS.PRIMARY]: string[];
    [AXIS.SECONDARY]: string[];
    [AXIS.DUAL]: string[];
};
export declare const BAR_CHART_SUPPORTED_PROPERTIES: {
    [AXIS.PRIMARY]: string[];
    [AXIS.SECONDARY]: string[];
    [AXIS.DUAL]: string[];
};
export declare const COMBO_CHART_SUPPORTED_PROPERTIES: {
    [AXIS.PRIMARY]: string[];
    [AXIS.SECONDARY]: string[];
    [AXIS.DUAL]: string[];
};
export declare const BUBBLE_CHART_SUPPORTED_PROPERTIES: string[];
export declare const SCATTERPLOT_SUPPORTED_PROPERTIES: string[];
export declare const PIECHART_SUPPORTED_PROPERTIES: string[];
export declare const FUNNELCHART_SUPPORTED_PROPERTIES: string[];
export declare const TREEMAP_SUPPORTED_PROPERTIES: string[];
export declare const HEATMAP_SUPPORTED_PROPERTIES: string[];
export declare const BULLET_CHART_SUPPORTED_PROPERTIES: string[];
export declare const GEOPUSHPIN_SUPPORTED_PROPERTIES: string[];
export declare const PIVOT_TABLE_SUPPORTED_PROPERTIES: string[];
export declare const PIVOT_TABLE_NEXT_SUPPORTED_PROPERTIES: string[];
export declare const SANKEY_CHART_SUPPORTED_PROPERTIES: string[];
export declare const WATERFALL_CHART_SUPPORTED_PROPERTIES: string[];
export declare const REPEATER_SUPPORTER_PROPERTIES_LIST: string[];
export declare const HEADLINE_SUPPORTED_PROPERTIES: string[];
export declare const HEADLINE_DEFAULT_CONTROL_PROPERTIES: HeadlineControlProperties;
export declare const HEADLINE_DEFAULT_MIGRATION_CONTROL_PROPERTIES: HeadlineControlProperties;
//# sourceMappingURL=supportedProperties.d.ts.map