/**
 * Type guard for ISizeInfoDefault
 *
 * @alpha
 */
export function isSizeInfo(obj) {
    return (typeof obj === "object" &&
        obj !== null &&
        (typeof obj.default === "undefined" || typeof obj.default === "number") &&
        (typeof obj.min === "undefined" || typeof obj.min === "number") &&
        (typeof obj.max === "undefined" || typeof obj.max === "number"));
}
/**
 * Type guard for ISizeInfoDefault
 *
 * @alpha
 */
export function isSizeInfoDefault(obj) {
    return (typeof obj === "object" &&
        obj !== null &&
        typeof obj.default === "number" &&
        (typeof obj.min === "undefined" || typeof obj.min === "number") &&
        (typeof obj.max === "undefined" || typeof obj.max === "number"));
}
/**
 * Type guard for IVisualizationDefaultSizeInfo
 *
 * @alpha
 */
export function isVisualizationDefaultSizeInfo(obj) {
    return (typeof obj === "object" &&
        obj !== null &&
        isSizeInfoDefault(obj.width) &&
        isSizeInfoDefault(obj.height));
}
//# sourceMappingURL=VisualizationDescriptor.js.map