import { IAlertNotification, IScheduleNotification } from "@gooddata/sdk-model";
import React from "react";
/**
 * @internal
 */
export interface INotificationsProps {
    notification: IAlertNotification | IScheduleNotification;
    markNotificationAsRead: (id: string) => void;
    onNotificationClick?: (notification: IAlertNotification | IScheduleNotification) => void;
    closeNotificationsPanel: () => void;
}
/**
 * @internal
 */
export declare function Notification({ notification, markNotificationAsRead, onNotificationClick, closeNotificationsPanel, }: INotificationsProps): React.JSX.Element;
//# sourceMappingURL=Notification.d.ts.map