import React from "react";
import { GoodDataSdkError } from "@gooddata/sdk-ui";
/**
 * Props for the NotificationsListErrorState component.
 *
 * @public
 */
export interface INotificationsListErrorStateComponentProps {
    /**
     * Error to display.
     */
    error?: GoodDataSdkError;
}
/**
 * Default implementation of the NotificationsListErrorState component.
 *
 * @public
 */
export declare function DefaultNotificationsListErrorState({ error }: INotificationsListErrorStateComponentProps): React.JSX.Element;
//# sourceMappingURL=DefaultNotificationsListErrorState.d.ts.map