import { UiSkeleton } from "@gooddata/sdk-ui-kit";
/**
 * Props for the NotificationSkeletonItem component.
 *
 * @public
 */
export interface INotificationSkeletonItemComponentProps {
    /**
     * Height of the skeleton item in pixels.
     */
    itemHeight: number;
}
/**
 * Default implementation of the NotificationSkeletonItem component.
 *
 * @public
 */
export declare const DefaultNotificationSkeletonItem: typeof UiSkeleton;
//# sourceMappingURL=DefaultSkeletonItem.d.ts.map