import { isNegativeAttributeFilter, filterAttributeElements, getAttributeElementsItems, } from "@gooddata/sdk-model";
import { getAttributeFilterSubtitle } from "@gooddata/sdk-ui-filters";
export function translateAttributeFilter(intl, filter) {
    const isNegative = isNegativeAttributeFilter(filter);
    const attributeElements = filterAttributeElements(filter);
    const attributeElementsItems = getAttributeElementsItems(attributeElements);
    return getAttributeFilterSubtitle(isNegative, attributeElementsItems.map((item) => ({ title: item, uri: item })), intl);
}
//# sourceMappingURL=attributeFilterNaming.js.map