// (C) 2023 GoodData Corporation
import React from "react";
import { AttributeHierarchyDialogProvider } from "./AttributeHierarchyDialogProvider.js";
import AttributeHierarchyDialogCore from "./AttributeHierarchyDialogCore.js";
/**
 * @internal
 */
export const AttributeHierarchyDialog = ({ initialAttributeRef, editingAttributeHierarchy, onClose, onSaveOrUpdateSuccess, onDeleteSuccess, onAddAttributeClicked, onCreateHierarchyClicked, }) => {
    return (React.createElement(AttributeHierarchyDialogProvider, { initialAttributeRef: initialAttributeRef, editingAttributeHierarchy: editingAttributeHierarchy, onClose: onClose, onSaveOrUpdateSuccess: onSaveOrUpdateSuccess, onDeleteSuccess: onDeleteSuccess, onAddAttributeClicked: onAddAttributeClicked, onCreateHierarchyClicked: onCreateHierarchyClicked },
        React.createElement(AttributeHierarchyDialogCore, null)));
};
//# sourceMappingURL=AttributeHierarchyDialog.js.map