// (C) 2023 GoodData Corporation
import React from "react";
import AttributeDropdown from "./AttributeDropdown.js";
import AttributeItemActions from "./AttributeItemActions.js";
const AttributeItem = ({ rowIndex, attribute }) => {
    const { title, completed, icon } = attribute;
    return (React.createElement("div", { className: "gd-list-item" },
        React.createElement("div", { className: "attribute-item-content s-attribute-item-content" }, completed ? (React.createElement("div", { className: "attribute-item-title s-attribute-item-title" },
            React.createElement("i", { className: icon }),
            title,
            React.createElement("i", { className: "gd-icon-navigatedown" }))) : (React.createElement(AttributeDropdown, { rowIndex: rowIndex }))),
        completed ? React.createElement(AttributeItemActions, { rowIndex: rowIndex }) : null));
};
export default AttributeItem;
//# sourceMappingURL=AttributeItem.js.map