import { ICatalogAttribute, ICatalogDateDataset, ObjRef } from "@gooddata/sdk-model";
import { IAttributeData, ICatalogAttributeData } from "./types.js";
export declare const findCatalogAttributeByRef: (catalogAttributesMap: Map<string, ICatalogAttributeData>, ref: ObjRef) => ICatalogAttributeData;
export declare const convertToCatalogAttributeData: (attributes: ICatalogAttribute[], dates: ICatalogDateDataset[]) => Map<string, ICatalogAttributeData>;
export declare const convertToCatalogAttributeDataByRefs: (catalogAttributesMap: Map<string, ICatalogAttributeData>, refs: ObjRef[]) => ICatalogAttributeData[];
export declare const appendEmptyAttribute: (attributes: IAttributeData[], baseRowIndex: number) => IAttributeData[];
export declare const searchAttributes: (attributes: ICatalogAttributeData[], selectedTab: string, searchString: string) => ICatalogAttributeData[];
//# sourceMappingURL=utils.d.ts.map