import React from "react";
import { WrappedComponentProps } from "react-intl";
import { IVisualizationProperties } from "../../interfaces/Visualization.js";
export interface ICheckboxControlProps {
    valuePath: string;
    properties: IVisualizationProperties;
    labelText?: string;
    checked?: boolean;
    disabled?: boolean;
    showDisabledMessage?: boolean;
    disabledMessageId?: string;
    pushData(data: any): void;
    isValueInverted?: boolean;
}
declare const _default: React.FC<import("react-intl").WithIntlProps<ICheckboxControlProps & WrappedComponentProps>> & {
    WrappedComponent: React.ComponentType<ICheckboxControlProps & WrappedComponentProps>;
};
export default _default;
//# sourceMappingURL=CheckboxControl.d.ts.map