import React from "react";
import { PushDataCallback } from "@gooddata/sdk-ui";
import { IVisualizationProperties } from "../../../../interfaces/Visualization.js";
import { IComparisonControlProperties } from "../../../../interfaces/ControlProperties.js";
import { IDefaultLabelKeys, CalculationType } from "@gooddata/sdk-ui-charts";
export interface ILabelSubSectionProps {
    sectionDisabled: boolean;
    showDisabledMessage?: boolean;
    defaultLabelKeys: IDefaultLabelKeys;
    calculationType: CalculationType;
    properties: IVisualizationProperties<IComparisonControlProperties>;
    pushData: PushDataCallback;
}
declare const LabelSubSection: React.FC<ILabelSubSectionProps>;
export default LabelSubSection;
//# sourceMappingURL=LabelSubSection.d.ts.map