import React from "react";
import { WrappedComponentProps } from "react-intl";
import { IVisualizationProperties } from "../../../interfaces/Visualization.js";
import { SectionName } from "../../configurationPanels/sectionName.js";
export interface IInteractionsSectionProps {
    controlsDisabled?: boolean;
    areControlsDisabledGetter?: (sectionName?: SectionName) => boolean;
    properties: IVisualizationProperties;
    propertiesMeta: any;
    pushData: (data: any) => any;
    InteractionsDetailRenderer?: () => React.ReactNode;
    supportsAlertConfiguration?: boolean;
    supportsDrillDownConfiguration?: boolean;
    supportsScheduledExportsConfiguration?: boolean;
}
export declare const QuestionMarkTooltip: (props: {
    tooltipText: string;
}) => React.JSX.Element;
declare const _default: React.FC<import("react-intl").WithIntlProps<IInteractionsSectionProps & WrappedComponentProps>> & {
    WrappedComponent: React.ComponentType<IInteractionsSectionProps & WrappedComponentProps>;
};
export default _default;
//# sourceMappingURL=InteractionsSection.d.ts.map