import React from "react";
import { IGrantedDataSource, DataSourcePermissionSubject } from "./types.js";
import { IWithTelemetryProps } from "./TelemetryContext.js";
/**
 * @internal
 */
export interface IAddDataSourceToSubjectsProps extends IWithTelemetryProps {
    ids: string[];
    subjectType: DataSourcePermissionSubject;
    organizationId: string;
    onSuccess: () => void;
    onClose: () => void;
    renderDataSourceIcon?: (dataSource: IGrantedDataSource) => JSX.Element;
}
/**
 * @internal
 */
export declare const AddDataSourceToSubjects: React.FC<IAddDataSourceToSubjectsProps>;
//# sourceMappingURL=AddDataSourceToSubjects.d.ts.map