import React from "react";
import { WorkspacePermissionSubject } from "./types.js";
import { IWithTelemetryProps } from "./TelemetryContext.js";
/**
 * @internal
 */
export interface IAddWorkspaceToSubjectsProps extends IWithTelemetryProps {
    ids: string[];
    subjectType: WorkspacePermissionSubject;
    organizationId: string;
    onSuccess: () => void;
    onClose: () => void;
    areFilterViewsEnabled?: boolean;
}
/**
 * @internal
 */
export declare const AddWorkspaceToSubjects: React.FC<IAddWorkspaceToSubjectsProps>;
//# sourceMappingURL=AddWorkspaceToSubjects.d.ts.map