import React from "react";
import { IGrantedDataSource, DataSourcePermissionSubject } from "../types.js";
export interface IAddDataSourceProps {
    ids: string[];
    subjectType: DataSourcePermissionSubject;
    grantedDataSources: IGrantedDataSource[];
    enableBackButton?: boolean;
    onSubmit: (workspaces: IGrantedDataSource[]) => void;
    onCancel: () => void;
    onClose: () => void;
    renderDataSourceIcon: (dataSource: IGrantedDataSource) => JSX.Element;
}
export declare const AddDataSource: React.FC<IAddDataSourceProps>;
//# sourceMappingURL=AddDataSource.d.ts.map