import React from "react";
import { IGrantedDataSource, ListMode, WorkspacePermissionSubject } from "../types.js";
export interface IDataSourceListProps {
    dataSources: IGrantedDataSource[];
    subjectType: WorkspacePermissionSubject;
    mode: ListMode;
    onDelete: (workspace: IGrantedDataSource) => void;
    onChange?: (workspace: IGrantedDataSource) => void;
    renderDataSourceIcon: (dataSource: IGrantedDataSource) => JSX.Element;
}
export declare const DataSourceList: React.FC<IDataSourceListProps>;
//# sourceMappingURL=DataSourceList.d.ts.map