import { IUser, IUserGroup } from "@gooddata/sdk-model";
export declare const useUserDetails: (user: IUser, isAdmin: boolean, onSubmit: (user: IUser, isAdmin: boolean) => void, onCancel: () => void, removeAdminGroup: () => void) => {
    updatedUser: IUser;
    isUpdatedAdmin: boolean;
    onChange: (user: IUser, isAdmin: boolean) => void;
    onSave: () => void;
    isDirty: boolean;
    isProcessing: boolean;
};
export declare const useUserGroupDetails: (userGroup: IUserGroup, onSubmit: (userGroup: IUserGroup) => void, onCancel: () => void) => {
    updatedUserGroup: IUserGroup;
    onChange: import("react").Dispatch<import("react").SetStateAction<IUserGroup>>;
    onSave: () => void;
    isDirty: boolean;
    isProcessing: boolean;
};
//# sourceMappingURL=detailsHooks.d.ts.map