// (C) 2023 GoodData Corporation
import React from "react";
import { UserGroupsList } from "./UserGroupsList.js";
import { AddUserGroupSelect } from "./AddUserGroupSelect.js";
export const AddUserGroupContent = ({ addedUserGroups, grantedUserGroups, onDelete, onSelect, }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement(AddUserGroupSelect, { addedUserGroups: addedUserGroups, grantedUserGroups: grantedUserGroups, onSelect: onSelect }),
        React.createElement(UserGroupsList, { mode: "EDIT", userGroups: addedUserGroups, onDelete: onDelete, 
            // we do not care about bootstrap user here (this is important only in view mode)
            isBootstrapUser: false, bootstrapUserGroupId: undefined })));
};
//# sourceMappingURL=AddUserGroupContent.js.map