// (C) 2023 GoodData Corporation
import React from "react";
import { AddUserSelect } from "./AddUserSelect.js";
import { UsersList } from "./UsersList.js";
export const AddUserContent = ({ addedUsers, grantedUsers, onDelete, onSelect, }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement(AddUserSelect, { addedUsers: addedUsers, grantedUsers: grantedUsers, onSelect: onSelect }),
        React.createElement(UsersList, { mode: "EDIT", users: addedUsers, onDelete: onDelete, 
            // we do not care about bootstrap user group here (this is important only in view mode)
            isBootstrapUserGroup: false, bootstrapUserId: undefined })));
};
//# sourceMappingURL=AddUserContent.js.map