import React from "react";
import { InputProps, GroupHeadingProps, OptionProps, MenuListProps, NoticeProps } from "react-select";
import { IUserSelectOption, ISelectErrorOption } from "../types.js";
export declare const EmptyRenderer: () => JSX.Element;
export declare const LoadingMessageRenderer: () => JSX.Element;
export declare const NoOptionsMessageRenderer: (props: NoticeProps) => JSX.Element;
export declare const MenuListRenderer: (props: MenuListProps<IUserSelectOption, false, import("react-select").GroupBase<IUserSelectOption>>) => React.ReactElement;
export declare const InputRendered: (props: InputProps) => JSX.Element;
export declare const ErrorOptionRenderer: (errorOption: ISelectErrorOption) => JSX.Element;
export declare const OptionRenderer: (props: OptionProps<IUserSelectOption, false>) => JSX.Element;
export declare const GroupHeadingRenderer: (props: GroupHeadingProps) => JSX.Element;
//# sourceMappingURL=AsyncSelectComponents.d.ts.map