// (C) 2021 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import { messages } from "../locales.js";
export const UsersListEmpty = ({ mode }) => {
    const intl = useIntl();
    return (React.createElement("div", { className: "gd-share-dialog-grantee-list-empty-selection s-user-management-empty-selection gd-user-management-dialog-list-empty" },
        React.createElement("span", null,
            mode === "VIEW" && intl.formatMessage(messages.viewUserListEmpty),
            mode === "EDIT" && intl.formatMessage(messages.editUserListEmpty))));
};
//# sourceMappingURL=UsersListEmpty.js.map