import React from "react";
import { IGrantedWorkspace, WorkspacePermissionSubject } from "../types.js";
export interface IAddWorkspaceProps {
    ids: string[];
    subjectType: WorkspacePermissionSubject;
    grantedWorkspaces: IGrantedWorkspace[];
    enableBackButton?: boolean;
    onSubmit: (workspaces: IGrantedWorkspace[]) => void;
    onCancel: () => void;
    onClose: () => void;
    areFilterViewsEnabled: boolean;
    editWorkspace?: IGrantedWorkspace;
}
export declare const AddWorkspace: React.FC<IAddWorkspaceProps>;
//# sourceMappingURL=AddWorkspace.d.ts.map