import { WorkspacePermission, WorkspacePermissions } from "../../types.js";
export declare const hierarchicalPermissionMessages: {
    enabled: {
        id: string;
    };
    disabled: {
        id: string;
    };
};
export declare const workspacePermissionMessages: {
    VIEW: {
        id: string;
    };
    VIEW_AND_SAVE_VIEWS: {
        id: string;
    };
    VIEW_AND_EXPORT: {
        id: string;
    };
    VIEW_AND_EXPORT_AND_SAVE_VIEWS: {
        id: string;
    };
    ANALYZE: {
        id: string;
    };
    ANALYZE_AND_EXPORT: {
        id: string;
    };
    MANAGE: {
        id: string;
    };
    remove: {
        id: string;
    };
};
export declare const getPermissionTitle: (permission: WorkspacePermission) => {
    id: string;
};
export declare const workspaceGranularPermissionMessages: {
    MANAGE: {
        id: string;
    };
    ANALYZE: {
        id: string;
    };
    VIEW: {
        id: string;
    };
    EXPORT: {
        id: string;
    };
    EXPORT_TABULAR: {
        id: string;
    };
    EXPORT_PDF: {
        id: string;
    };
    CREATE_FILTER_VIEW: {
        id: string;
    };
    CREATE_AUTOMATION: {
        id: string;
    };
    USE_AI_ASSISTANT: {
        id: string;
    };
    viewDescription: {
        id: string;
    };
    analyzeDescription: {
        id: string;
    };
    manageDescription: {
        id: string;
    };
    hierarchyTooltip: {
        id: string;
    };
    remove: {
        id: string;
    };
    and: {
        id: string;
    };
};
export declare const granularTooltipMessages: {
    EXPORT: {
        id: string;
    };
    EXPORT_TABULAR: {
        id: string;
    };
    EXPORT_PDF: {
        id: string;
    };
    CREATE_FILTER_VIEW: {
        id: string;
    };
    CREATE_AUTOMATION: {
        id: string;
    };
    USE_AI_ASSISTANT: {
        id: string;
    };
};
export declare const getGranularPermissionTitle: (permission: WorkspacePermission) => {
    id: string;
};
export declare const getGranularPermissionButtonTitle: (permissions: WorkspacePermissions) => {
    id: string;
};
export declare const getWorkspaceAccessPermissionDescription: (permission: WorkspacePermission) => {
    id: string;
};
//# sourceMappingURL=locales.d.ts.map