import React from "react";
import { IGrantedWorkspace, ListMode, WorkspacePermissionSubject } from "../types.js";
export interface IWorkspaceListProps {
    workspaces: IGrantedWorkspace[];
    subjectType: WorkspacePermissionSubject;
    mode: ListMode;
    onDelete: (workspace: IGrantedWorkspace) => void;
    onChange?: (workspace: IGrantedWorkspace) => void;
    onClick?: (workspace: IGrantedWorkspace) => void;
    areFilterViewsEnabled: boolean;
}
export declare const WorkspaceList: React.FC<IWorkspaceListProps>;
//# sourceMappingURL=WorkspaceList.d.ts.map