import { IntlShape } from "react-intl";
import { IAnalyticalBackend } from "@gooddata/sdk-backend-spi";
import { ISelectOption, ISelectErrorOption } from "../../types.js";
export declare const loadWorkspaceOptionsPromise: (backend: IAnalyticalBackend, intl: IntlShape) => (inputValue: string) => Promise<ISelectOption[] | ISelectErrorOption[]>;
export declare const loadPaginatedWorkspaceOptionsPromise: (backend: IAnalyticalBackend, intl: IntlShape) => (inputValue: string, _options: unknown, { page }: {
    page: number;
}) => Promise<{
    options: ISelectOption[] | ISelectErrorOption[];
    hasMore: boolean;
    additional: {
        page: number;
    };
}>;
//# sourceMappingURL=loadWorkspaceOptionsPromise.d.ts.map