import { IWorkspaceDescriptor } from "@gooddata/sdk-backend-spi";
import { IGrantedWorkspace, WorkspacePermissionSubject } from "../types.js";
export declare const useAddWorkspace: (ids: string[], subjectType: WorkspacePermissionSubject, onSubmit: (workspaces: IGrantedWorkspace[]) => void, onCancel: () => void, editWorkspace?: IGrantedWorkspace) => {
    addedWorkspaces: IGrantedWorkspace[];
    onDelete: (workspace: IGrantedWorkspace) => void;
    onChange: (workspace: IGrantedWorkspace) => void;
    onSelect: ({ id, title }: IWorkspaceDescriptor) => void;
    onOverwriteSelect: ({ id, title }: IWorkspaceDescriptor) => void;
    onAdd: () => void;
    isProcessing: boolean;
};
//# sourceMappingURL=useAddWorkspace.d.ts.map