import { IInsightDefinition } from "@gooddata/sdk-model";
import { IChartConfig } from "@gooddata/sdk-ui-charts";
import { IForecastConfig } from "@gooddata/sdk-backend-spi";
import { IEmbeddingCodeContext } from "../../interfaces/VisualizationDescriptor.js";
import { IAdditionalFactoryDefinition, IInsightToPropConversion } from "../../utils/embeddingCodeGenerator/index.js";
export declare function chartConfigFromInsight(insight: IInsightDefinition, ctx?: IEmbeddingCodeContext): IChartConfig;
export declare function chartForecastConfigFromInsight(insight: IInsightDefinition, _ctx?: IEmbeddingCodeContext): IForecastConfig | undefined;
export declare function chartAdditionalFactories(options?: {
    getColorMappingPredicatePackage?: string;
}): IAdditionalFactoryDefinition[];
export declare function chartConfigInsightConversion<TProps extends object, TPropKey extends keyof TProps>(propName: TPropKey): IInsightToPropConversion<TProps, TPropKey, IChartConfig>;
export declare function chartForecastConfigInsightConversion<TProps extends object, TPropKey extends keyof TProps>(propName: TPropKey): IInsightToPropConversion<TProps, TPropKey, IForecastConfig>;
//# sourceMappingURL=chartCodeGenUtils.d.ts.map