import { IInsightDefinition, ISettings } from "@gooddata/sdk-model";
/**
 * Sanitizes pivot table configuration by ensuring measureGroupDimension is valid
 * when table transposition is disabled.
 *
 * @param insight - The insight definition
 * @param customVisualizationConfig - Custom visualization configuration
 * @param settings - Feature flags and settings
 * @returns Sanitized configuration
 *
 * @internal
 */
export declare function sanitizePivotTableConfig(insight: IInsightDefinition, customVisualizationConfig: any, settings: ISettings): any;
//# sourceMappingURL=configHelpers.d.ts.map