// (C) 2025 GoodData Corporation
import { insightProperties } from "@gooddata/sdk-model";
import isEmpty from "lodash/isEmpty.js";
export function pivotTableNextConfigFromInsight(insight) {
    const measureGroupDimension = insightProperties(insight)?.controls?.measureGroupDimension;
    const metricsPositionProp = !isEmpty(measureGroupDimension) ? { measureGroupDimension } : {};
    const columnHeadersPosition = insightProperties(insight)?.controls?.columnHeadersPosition;
    const columnHeadersPositionProp = !isEmpty(columnHeadersPosition) ? { columnHeadersPosition } : {};
    return {
        ...metricsPositionProp,
        ...columnHeadersPositionProp,
    };
}
//# sourceMappingURL=pivotTableNextConfigFromInsight.js.map