import React from "react";
import { INotificationsPanelView } from "../types.js";
/**
 * Props for the NotificationsListEmptyState component.
 *
 * @public
 */
export interface INotificationsListEmptyStateComponentProps {
    /**
     * Active view of the notifications list.
     */
    activeView: INotificationsPanelView;
}
/**
 * Default implementation of the NotificationsListEmptyState component.
 *
 * @public
 */
export declare function DefaultNotificationsListEmptyState({ activeView, }: INotificationsListEmptyStateComponentProps): React.JSX.Element;
//# sourceMappingURL=DefaultNotificationsListEmptyState.d.ts.map