// (C) 2024 GoodData Corporation
import React from "react";
import { Bubble, BubbleHoverTrigger } from "@gooddata/sdk-ui-kit";
const ALIGN_POINTS = [{ align: "bc tr" }, { align: "tc br" }];
export function Tooltip({ children, tooltip }) {
    return (React.createElement(BubbleHoverTrigger, null,
        children,
        React.createElement(Bubble, { alignPoints: ALIGN_POINTS }, tooltip)));
}
//# sourceMappingURL=Tooltip.js.map